# $Revision: 1.17 $, $Date: 2004/06/05 20:02:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Usage
Summary:	Sub::Usage - issue subroutine/method usage
Summary(pl):	Sub::Usage - wywietl informacje o sposobie uycia funkcji/metody
Name:		perl-Sub-Usage
Version:	0.03
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a65e34e3500df80386a5316b43a7b671
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Usage provides functions to display usage of subroutines or methods
from inside the stub.  Some people like to check the parameters of the
routine.

%description -l pl
Sub::Usage udostpnia funkcje, wywietlajce informacje o sposobie uycia
funkcji lub metody.  Niektrzy programici lubi sprawdza parametry
procedur.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Usage.spec,v $
Revision 1.17  2004/06/05 20:02:45  radek
- release 4: informative summary

Revision 1.16  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.15  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:35:18  ankry
- tests added, license fix

Revision 1.13  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:29  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/28 16:30:00  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.3  2002/12/03 21:34:59  ankry
- cleaning

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
